## prometheus-nginx-vts-exporter 0.10.3+git20180501.43b4556+ds

=== debian/changelog ===
prometheus-nginx-vts-exporter (0.10.3+git20180501.43b4556+ds-2) unstable; urgency=medium

  * Team upload.
  * Patch code to work with new client API. Closes: #913580.
  * Automated fixes from cme.

 -- Martín Ferrari <tincho@debian.org>  Mon, 11 Feb 2019 01:11:11 +0000

prometheus-nginx-vts-exporter (0.10.3+git20180501.43b4556+ds-1) unstable; urgency=medium

  * Initial release (Closes: #901617)

 -- Raúl Benencia <rul@kalgan.cc>  Tue, 19 Jun 2018 09:09:12 -0700
